<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Setting_Activity">


    <TextView
        android:id="@+id/textView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/color_header"
        android:gravity="center"
        android:padding="10dp"
        android:text="Settings"
        android:textColor="@color/color_white"
        android:textSize="20sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ScrollView
        android:id="@+id/scrollView2"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="5dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/textView1"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical|right"
                    android:text="Device No. :"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <EditText
                    android:id="@+id/txt_settings_device_no"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="0.5"
                    android:background="@drawable/img_background"
                    android:gravity="center"
                    android:textSize="18sp" />
            </LinearLayout>

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/ll_server_mode"
                android:layout_width="fill_parent"
                android:layout_height="60dp"
                android:layout_marginBottom="5dp"
                android:orientation="horizontal"
                android:weightSum="1.0">

                <TextView
                    android:id="@+id/lbl_settings"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:layout_weight=".5"
                    android:padding="5dp"
                    android:text="Server mode :"
                    android:textColor="@color/black"
                    android:textSize="20dp"
                    android:textStyle="bold" />

                <RadioGroup xmlns:android="http://schemas.android.com/apk/res/android"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:layout_weight=".5"
                    android:orientation="vertical">

                    <RadioButton
                        android:id="@+id/rd_http"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:onClick="onServerModeClicked"
                        android:text="HTTP"
                        android:textSize="15dp"
                        android:textColor="@color/black" />

                    <RadioButton
                        android:id="@+id/rd_ftp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:onClick="onServerModeClicked"
                        android:textSize="15dp"
                        android:text="FTP"
                        android:textColor="@color/black" />
                </RadioGroup>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/textView14"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="2dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical|right"
                    android:text="Server :"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <EditText
                    android:id="@+id/txt_server"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="0.4"
                    android:background="@drawable/img_background"
                    android:gravity="center"
                    android:textSize="18sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="5dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/textView3"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="2dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical|right"
                    android:text="Path :"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <EditText
                    android:id="@+id/txt_path"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="0.4"
                    android:background="@drawable/img_background"
                    android:gravity="center"
                    android:textSize="18sp" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="5dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/textView11"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical|right"
                    android:text="User :"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <EditText
                    android:id="@+id/txt_user"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="2dp"
                    android:layout_weight="0.4"
                    android:background="@drawable/img_background"
                    android:gravity="center"
                    android:textSize="18sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="5dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/textView2"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:layout_marginEnd="2dp"
                    android:gravity="center_vertical|right"
                    android:text="Password :"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <EditText
                    android:id="@+id/txt_password"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="0.4"
                    android:background="@drawable/img_background"
                    android:gravity="center"
                    android:textSize="18sp" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btn_settings_cancel"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/button_background_yellow"
                    android:onClick="onClick"
                    android:text="Cancel"
                    android:textAllCaps="false"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="18sp" />

                <Button
                    android:id="@+id/btn_settings_submit"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/button_background_green"
                    android:onClick="onClick"
                    android:text="Save"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    android:gravity="center"
                    android:textSize="20sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="2dp"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btn_restore_default_factory"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/button_background_gray"
                    android:onClick="onClick"
                    android:text="Restore Default Factory"
                    android:textAllCaps="false"
                    android:textColor="@color/black"
                    android:gravity="center"
                    android:textSize="20sp" />

            </LinearLayout>

            <EditText
                android:id="@+id/txt_server_mode"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/btn_restore_default_factory"
                android:background="@color/white"
                android:inputType="text"
                android:padding="5dp"
                android:textColor="@color/black"
                android:visibility="invisible" />

        </LinearLayout>
    </ScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>